<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@mipmap/ic_subscribe_top_bg"
        app:layout_constraintDimensionRatio="h,1125:661"
        app:layout_constraintTop_toTopOf="parent" />

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title="订阅" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_area"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_12"
        android:background="@drawable/shape_white_cor14"
        app:layout_constraintEnd_toStartOf="@id/layout_source"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_area_icon"
            android:layout_width="@dimen/dp_40"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginBottom="@dimen/dp_20"
            android:src="@mipmap/ic_subscribe_area_icon"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_area_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_10"
            android:fontFamily="sans-serif-medium"
            android:text="地区订阅"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintStart_toEndOf="@id/iv_area_icon"
            app:layout_constraintTop_toTopOf="@id/iv_area_icon" />

        <TextView
            android:id="@+id/tv_area_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="精准触达同城"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/iv_area_icon"
            app:layout_constraintStart_toStartOf="@id/tv_area_title"
            app:layout_constraintTop_toBottomOf="@id/tv_area_title" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_source"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_11"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_marginEnd="@dimen/dp_16"
        android:background="@drawable/shape_white_cor14"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/layout_area"
        app:layout_constraintTop_toBottomOf="@id/mTitleBar">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_source_icon"
            android:layout_width="@dimen/dp_40"
            android:layout_height="@dimen/dp_40"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginBottom="@dimen/dp_20"
            android:src="@mipmap/ic_subscribe_source_icon"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="-10dp"
            android:src="@mipmap/ic_vip_auth_icon"
            app:layout_constraintStart_toStartOf="@id/iv_source_icon"
            app:layout_constraintTop_toTopOf="@id/iv_source_icon" />

        <TextView
            android:id="@+id/tv_source_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_10"
            android:fontFamily="sans-serif-medium"
            android:text="数据源订阅"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintStart_toEndOf="@id/iv_source_icon"
            app:layout_constraintTop_toTopOf="@id/iv_source_icon" />

        <TextView
            android:id="@+id/tv_source_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="获取关键信息"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/iv_source_icon"
            app:layout_constraintStart_toStartOf="@id/tv_source_title"
            app:layout_constraintTop_toBottomOf="@id/tv_source_title" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="-5dp"
        android:layout_marginBottom="-6dp"
        android:src="@mipmap/ic_tab_indicator"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintStart_toStartOf="@id/tv_title" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginTop="@dimen/dp_20"
        android:text="已创建订阅"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_20"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/layout_area" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/mRecyclerView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_7"
        android:orientation="vertical"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:listitem="@layout/listitem_subscribe" />

</androidx.constraintlayout.widget.ConstraintLayout>